# Class CIM_SpanningTreeStatistics
extends CIM_ServiceStatisticalInformation

Statistical information regarding the SpanningTreeService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_ServiceStatisticalInformation
|
+--CIM_SpanningTreeStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Statistical information regarding the SpanningTreeService.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
TimeSinceTopologyChange | uint32 |
Description | string | The time since the last topology change was detected by the switch.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpTimeSinceTopologyChange
Units | string | Hundredths of Seconds
TopChanges | uint32 |
Counter | boolean | true
Description | string | The total number of topology changes detected by the switch since the counter was last reset or initialized.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpTopChanges

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_ServiceStatisticalInformation
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceStatisticalInformation
ServiceCreationClassName | string | CIM_ServiceStatisticalInformation
ServiceName | string | CIM_ServiceStatisticalInformation
SystemCreationClassName | string | CIM_ServiceStatisticalInformation
SystemName | string | CIM_ServiceStatisticalInformation

## Class Methods